import { mergeProps as _mergeProps, createVNode as _createVNode } from "vue";
import { CirclePacking } from '@antv/g2plot';
import { defineComponent } from 'vue';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var CirclePackingChart = defineComponent({
  name: 'CirclePackingChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": CirclePacking
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
CirclePackingChart.install = function (app) {
  app.component('CirclePackingChart', CirclePackingChart);
};
export default CirclePackingChart;