import { mergeProps as _mergeProps, createVNode as _createVNode } from "vue";
import { Pie } from '@antv/g2plot';
import { defineComponent } from 'vue';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var PieChart = defineComponent({
  name: 'PieChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Pie
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
PieChart.install = function (app) {
  app.component('PieChart', PieChart);
};
export default PieChart;