import { mergeProps as _mergeProps, createVNode as _createVNode } from "vue";
import { Waterfall } from '@antv/g2plot';
import { defineComponent } from 'vue';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var WaterfallChart = defineComponent({
  name: 'WaterfallChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Waterfall
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
WaterfallChart.install = function (app) {
  app.component('WaterfallChart', WaterfallChart);
};
export default WaterfallChart;