import { mergeProps as _mergeProps, createVNode as _createVNode } from "vue";
import { Area } from '@antv/g2plot';
import { defineComponent } from 'vue';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var AreaChart = defineComponent({
  name: 'AreaChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Area
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
AreaChart.install = function (app) {
  app.component('AreaChart', AreaChart);
};
export default AreaChart;