import { mergeProps as _mergeProps, createVNode as _createVNode } from "vue";
import { Bullet } from '@antv/g2plot';
import { defineComponent } from 'vue';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var BulletChart = defineComponent({
  name: 'BulletChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Bullet
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
BulletChart.install = function (app) {
  app.component('BulletChart', BulletChart);
};
export default BulletChart;