import { mergeProps as _mergeProps, createVNode as _createVNode } from "vue";
import { Line } from '@antv/g2plot';
import { defineComponent } from 'vue';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var LineChart = defineComponent({
  name: 'LineChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Line
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
LineChart.install = function (app) {
  app.component('LineChart', LineChart);
};
export default LineChart;