import { mergeProps as _mergeProps, createVNode as _createVNode } from "vue";
import { RadialBar } from '@antv/g2plot';
import { defineComponent } from 'vue';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var RadialBarChart = defineComponent({
  name: 'RadialBarChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": RadialBar
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
RadialBarChart.install = function (app) {
  app.component('RadialBarChart', RadialBarChart);
};
export default RadialBarChart;