import { mergeProps as _mergeProps, createVNode as _createVNode } from "vue";
import { Rose } from '@antv/g2plot';
import { defineComponent } from 'vue';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var RoseChart = defineComponent({
  name: 'RoseChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Rose
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
RoseChart.install = function (app) {
  app.component('RoseChart', RoseChart);
};
export default RoseChart;