import { mergeProps as _mergeProps, createVNode as _createVNode } from "vue";
import { TinyColumn } from '@antv/g2plot';
import { defineComponent } from 'vue';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var TinyColumnChart = defineComponent({
  name: 'TinyColumnChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": TinyColumn
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
TinyColumnChart.install = function (app) {
  app.component('TinyColumnChart', TinyColumnChart);
};
export default TinyColumnChart;