import { mergeProps as _mergeProps, createVNode as _createVNode } from "vue";
import { TinyLine } from '@antv/g2plot';
import { defineComponent } from 'vue';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var TinyLineChart = defineComponent({
  name: 'TinyLineChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": TinyLine
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
TinyLineChart.install = function (app) {
  app.component('TinyLineChart', TinyLineChart);
};
export default TinyLineChart;