import { mergeProps as _mergeProps, createVNode as _createVNode } from "vue";
import { Violin } from '@antv/g2plot';
import { defineComponent } from 'vue';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var ViolinChart = defineComponent({
  name: 'ViolinChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Violin
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
ViolinChart.install = function (app) {
  app.component('ViolinChart', ViolinChart);
};
export default ViolinChart;