import { DualAxesOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export type DualAxesChartProps = Writeable<Omit<BaseChartProps<DualAxesOptions>, 'chart' | 'data'> & DualAxesOptions>;
declare const DualAxesChart: import("vue").DefineComponent<Writeable<Omit<BaseChartProps<DualAxesOptions>, "chart" | "data"> & Omit<import("@antv/g2plot").Options, "data" | "color" | "yAxis" | "annotations"> & {
    readonly data: Array<Record<string, any>[]>;
    readonly xField: string;
    readonly yField: string[];
    readonly yAxis?: import("@antv/g2plot").Options["yAxis"][] | Record<string, import("@antv/g2plot").Options["yAxis"]>;
    readonly geometryOptions?: import("@antv/g2plot/lib/plots/dual-axes/types").GeometryOption[];
    readonly annotations?: import("@antv/g2plot").Options["annotations"][] | Record<string, import("@antv/g2plot").Options["annotations"]>;
}>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<Writeable<Omit<BaseChartProps<DualAxesOptions>, "chart" | "data"> & Omit<import("@antv/g2plot").Options, "data" | "color" | "yAxis" | "annotations"> & {
    readonly data: Array<Record<string, any>[]>;
    readonly xField: string;
    readonly yField: string[];
    readonly yAxis?: import("@antv/g2plot").Options["yAxis"][] | Record<string, import("@antv/g2plot").Options["yAxis"]>;
    readonly geometryOptions?: import("@antv/g2plot/lib/plots/dual-axes/types").GeometryOption[];
    readonly annotations?: import("@antv/g2plot").Options["annotations"][] | Record<string, import("@antv/g2plot").Options["annotations"]>;
}>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
export default DualAxesChart;
