"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _vue = require("vue");
var _g2plot = require("@antv/g2plot");
var _base = _interopRequireDefault(require("../../components/base"));
var _utils = require("../../utils");
var LineChart = (0, _vue.defineComponent)({
  name: 'LineChart',
  setup: function setup(props, ctx) {
    return function () {
      return (0, _vue.createVNode)(_base.default, (0, _vue.mergeProps)({
        "chart": _g2plot.Line
      }, (0, _utils.mergeAttrs)(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
LineChart.install = function (app) {
  app.component('LineChart', LineChart);
};
var _default = exports.default = LineChart;